
<IfModule mod_fastcgi.c>

    FastCgiConfig -maxClassProcesses 1 
     
    ScriptAlias /myles "/usr/local/sbin/myles"
    ScriptAlias /requestHandler "/usr/local/sbin/requestHandler"

    FastCgiExternalServer /usr/local/sbin/myles -socket myles

    FastCgiServer /usr/local/sbin/requestHandler -idle-timeout 60
    
    <Directory /usr/local/sbin/requestHandler>
    	SetHandler fastcgi-script
    </Directory>
     

    <Location /myles>
        ExpiresActive On
        ExpiresDefault now
        Header set ExpiresDefault no-cache
        Header set Cache-Control max-age=0
        SetHandler fastcgi-script
	    AuthType Basic
	    AuthName "Adtec Myles"
	    AuthExternal pwauth
	    require valid-user
    </Location>

</IfModule>

<Directory /srv/www/html/ui>
    DirectoryIndex myles.html
    AuthType Basic
    Options +ExecCGI
    AuthName "Adtec Myles"
    AuthExternal pwauth
    require valid-user
    <Files "myles.html">
         ExpiresActive On
         ExpiresDefault now
         Header set ExpiresDefault no-cache
         Header set Cache-Control max-age=0
    </Files>
 
</Directory>

ScriptAlias /download "/usr/local/sbin/download"

<Location /download>
        ExpiresActive On
        ExpiresDefault now
        Header set ExpiresDefault no-cache
        Header set Cache-Control max-age=0
            AuthType Basic
            AuthName "Adtec Myles"
            AuthExternal pwauth
            require valid-user
    </Location>

ScriptAlias /feature "/usr/local/sbin/featureCgi"